# OSGeo::FDO::Schema::DataPropertyDefinition Class Reference
[OSGeo::FDO::Schema]

Inheritance diagram for OSGeo::FDO::Schema::DataPropertyDefinition:

[legend]

List of all members.

## Detailed Description

The DataPropertyDefinition class derives PropertyDefinition and represents simple values or collections of simple values. DataPropertyDefinitions can take on any of the data types listed in DataType enumeration.

()

## Public Member Functions
| DataPropertyDefinition (System::IntPtr unmanaged, System::Boolean autoDelete)
| Constructs a DataPropertyDefinition object based on an unmanaged instance of the object.
| DataPropertyDefinition (System::String *name, System::String *description, System::Boolean system)
| Constructs an instance of an DataPropertyDefinition using the specified arguments.
| DataPropertyDefinition (System::String *name, System::String *description)
| Constructs an instance of an DataPropertyDefinition using the specified arguments.
| DataPropertyDefinition ()
| Constructs a default instance of an DataPropertyDefinition.
__property OSGeo::FDO::Schema::DataType | get_DataType ()
| Gets the DataType of this property.
__property System::String * | get_DefaultValue ()
| Gets the default value for this property. The default value is used when an instance of the containing class is created without specifying a value for this property.
__property System::Boolean | get_IsAutoGenerated ()
| Returns a Boolean value that indicates if this is an autogenerated property.
__property System::Int32 | get_Length ()
| Gets the length of a String, BLOB, or CLOB data property. This value does not apply to any other DataType.
__property System::Boolean | get_Nullable ()
| Returns a Boolean value that indicates if this property's value can be null.
__property System::Int32 | get_Precision ()
| Gets the precision (total number of digits) of a decimal data property. This value does not apply to any other DataType.
__property OSGeo::FDO::Schema::PropertyType | get_PropertyType ()
| Gets the concrete property type.
__property System::Boolean | get_ReadOnly ()
| Returns a Boolean value that indicates if this property is read-only.
__property System::Int32 | get_Scale ()
| Gets the scale (number of digits to the right of the decimal point) of a decimal data property. This value does not apply to any other DataType.
__property OSGeo::FDO::Schema::PropertyValueConstraint * | get_ValueConstraint ()
| Returns the value constraint of this data property.
__property System::Void | set_DataType (OSGeo::FDO::Schema::DataType value)
| Sets the DataType of this property.
__property System::Void | set_DefaultValue (System::String *value)
| Sets the default value for this property. The default value is used when an instance of the containing class is created without specifying a value for this property.
__property System::Void | set_IsAutoGenerated (System::Boolean value)
| Sets a Boolean value that indicates if this is an autogenerated property.
__property System::Void | set_Length (System::Int32 value)
| Sets the length of a String, BLOB, or CLOB data property. This value is ignored for all other DataType values.
__property System::Void | set_Nullable (System::Boolean value)
| Sets a Boolean value that indicates if this property's value can be null.
__property System::Void | set_Precision (System::Int32 value)
| Sets the precision (total number of digits) of a decimal data property. This value is ignored for all other DataType values.
__property System::Void | set_ReadOnly (System::Boolean value)
| Sets a Boolean value that indicates if this property is read-only.
__property System::Void | set_Scale (System::Int32 value)
| Sets the scale (number of digits to the right of the decimal point) of a decimal data property. This value is ignored for all other DataType values.
__property System::Void | set_ValueConstraint (OSGeo::FDO::Schema::PropertyValueConstraint *value)
| Sets the value constraint of this data property.